def PreprocessFiles(tester, dirs, files):
    ignored = ['test_profile',
               'test_performance_matrix',
               'test_compilied_stylesheet',
               ]

    for file in ignored:
        if file in files:
            files.remove(file)
    
    return (dirs, files)